### Hierarchy

- unknown
  - DepositTxAndDelayedPayoutTxMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getDelayedPayoutTx
- getDelayedPayoutTx_asB64
- getDelayedPayoutTx_asU8
- getDepositTx
- getDepositTx_asB64
- getDepositTx_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setDelayedPayoutTx
- setDepositTx
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DepositTxAndDelayedPayoutTxMessage(): DepositTxAndDelayedPayoutTxMessage

- Inherited from jspb.Message.constructor

  #### Returns DepositTxAndDelayedPayoutTxMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1729

  #### Returns DepositTxAndDelayedPayoutTxMessage

### getDelayedPayoutTx

- getDelayedPayoutTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1736

  #### Returns string | Uint8Array

### getDelayedPayoutTx_asB64

- getDelayedPayoutTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1738

  #### Returns string

### getDelayedPayoutTx_asU8

- getDelayedPayoutTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1737

  #### Returns Uint8Array

### getDepositTx

- getDepositTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1731

  #### Returns string | Uint8Array

### getDepositTx_asB64

- getDepositTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1733

  #### Returns string

### getDepositTx_asU8

- getDepositTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1732

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1726

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1723

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1720

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1728

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1741

  #### Returns Uint8Array

### setDelayedPayoutTx

- setDelayedPayoutTx(value: string | Uint8Array): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1739

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositTxAndDelayedPayoutTxMessage

### setDepositTx

- setDepositTx(value: string | Uint8Array): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1734

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositTxAndDelayedPayoutTxMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1727

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DepositTxAndDelayedPayoutTxMessage

### setTradeId

- setTradeId(value: string): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1724

  #### Parameters

  - ##### value: string

  #### Returns DepositTxAndDelayedPayoutTxMessage

### setUid

- setUid(value: string): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1721

  #### Parameters

  - ##### value: string

  #### Returns DepositTxAndDelayedPayoutTxMessage

### toObject

- toObject(includeInstance?: boolean): DepositTxAndDelayedPayoutTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1742

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DepositTxAndDelayedPayoutTxMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1745

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositTxAndDelayedPayoutTxMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositTxAndDelayedPayoutTxMessage, reader: BinaryReader): DepositTxAndDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1746

  #### Parameters

  - ##### message: DepositTxAndDelayedPayoutTxMessage

  - ##### reader: BinaryReader

  #### Returns DepositTxAndDelayedPayoutTxMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositTxAndDelayedPayoutTxMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1744

  #### Parameters

  - ##### message: DepositTxAndDelayedPayoutTxMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DepositTxAndDelayedPayoutTxMessage ): DepositTxAndDelayedPayoutTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1743

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositTxAndDelayedPayoutTxMessage

  #### Returns DepositTxAndDelayedPayoutTxMessage . AsObject

Generated using TypeDoc